summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorCarl Worth <cworth@cworth.org>2003-04-17 13:24:29 +0000
committerCarl Worth <cworth@cworth.org>2003-04-17 13:24:29 +0000
commitee738deaf6ff2cf7391d813876241b389a0dedaf (patch)
treee5a2750028d7f5783427213426af58d9eed1d73a /autogen.sh
parentb61b9ffc2322e09873b9e2dfb0c1da56ec1ffd61 (diff)
Switched to autotools. Dropped XrPush/PopGroup. Supports non-X Xc rendering.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 000000000..3c416dd64
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+set -e
+
+if test -z "$*"; then
+ echo "$0: Note: \`./configure' will be run with no arguments."
+ echo " If you wish to pass any to it, please specify them on the"
+ echo " \`$0' command line."
+ echo
+fi
+
+do_cmd() {
+ echo "$0: running \`$@'"
+ $@
+}
+
+do_cmd libtoolize --force --copy
+
+do_cmd aclocal
+
+do_cmd autoheader
+
+do_cmd automake --add-missing
+
+do_cmd autoconf
+
+do_cmd ./configure ${1+"$@"} && echo "Now type \`make' to compile" || exit 1